#include <iostream>
#include <iomanip>

using namespace std;

int main() {
  // Deklarujemy zmienne
  int h, m, s;
  // i wczytujemy je ze standardowego wejścia.
  cin >> h >> m >> s;

  // Dodajemy 1 do liczby sekund.
  s++;
  // W przypadku pełnej minuty (tj. jeżeli mamy 60 sekund)
  if (s == 60) {
    // dodaj 1 do liczby minut
    m++;
    // i ustaw liczbę sekund na 0.
    s = 0;
  }
  // Podobnie w przypadku pełnej godziny.
  if (m == 60) {
    h++;
    m = 0;
  }
  // I pełnej doby, tutaj nie musimy nic zwiększać.
  if (h == 24) {
    h = 0;
  }

  // Wypisywanie wyjścia
  // Używamy funkcji z biblioteki iomanip do formatowania wyjścia.
  // Funkcja setfill nakazuje wypełnić puste miejsca znakami (w naszym
  // przypadku zerami) a setw ustala  "szerokość" napisu (na 2).
  cout << setfill('0') << setw(2) << h << ":"
       << setw(2) << m << ":"
       << setw(2) << s << "\n";
}
